package com.docus.server.collection.webservice.impl;

import com.docus.server.collection.webservice.IDeptServer;
import com.docus.server.collection.webservice.IUserServer;
import com.docus.server.collection.webservice.ReceiveServer;
import com.docus.server.collection.webservice.BasicService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.jws.WebService;

/**
 * @BelongsProject: docus-webservice-sdry
 * @BelongsPackage: com.docus.server.collection.webservice.impl
 * @Author: chierhao
 * @CreateTime: 2023-02-27  10:02
 * @Description: TODO
 * @Version: 1.0
 */
@Service
@WebService
@Slf4j
public class ReceiveServerImpl implements ReceiveServer {
    @Resource
    private  IUserServer userServer;
    @Resource
    private  IDeptServer deptServer;
    @Resource
    private BasicService basicService;


    @Override
    public String deptModify(String receiveDept) {
        return deptServer.deptModify(receiveDept);
    }

    @Override
    public String setTBasic(String str) {
        return basicService.setTBasic(str);
    }

    @Override
    public String userModify(String receiveUser) {
        return userServer.userModify(receiveUser);
    }
}
